#include<bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(vector<int> A) {
    vector<int> ans;
    int n=A.size();
    pair<int,int> a[n];
    for(int i=0;i<n;i++){
        a[i].first=A[i];
        a[i].second=i;
    }
    sort(a,a+n);
    bool w=true,x=true,y=true;
    for(int i=1;i<n;i+=2){
        if(a[i].first!=a[i-1].first) w=false;
    }
    for(int i=0;i<n;i++){
        if(a[i].first!=(1<<i)) x=false;
        if(a[i].first!=i+1) y=false;
    }
    for(int i=0;i<n;i+=2){
        ans.push_back(a[i].second);
    }
    return ans;
}